#!/etc/opt/openit/perl


BEGIN {
    push @INC, "/opt/openit/contrib/lib";
}

use OpeniT::Contrib::Config;

my $config = new OpeniT::Contrib::Config; # Reads default config file(s)

my $user = $config->{SERVER_UID_NAME};
my $group = $config->{SERVER_GID_NAME};

my $job;

my $time = time();
my $pid = $$;
my $counter = 1000;

$job = "executable=" .
    "/opt/openit/contrib/bin/storage_analyzer_redo_aggregation.pl\n";
$job .= "arguments=\"\"\n";
$job .= "created=$time\n";
$job .= "source=patch\n";

my $dir = "/var/opt/openit/temp/Scheduler/pending";
my $path;
my $file;
while( 1 ) {
    $file = "job-$time-$pid-$counter.spec";
    $path = "$dir/$file";
    if( -f $path ) {
	$counter++;
	next;
    }
    system( "/opt/openit/bin/openit-scheduler stop" );
    open( JOBFILE, ">$path" ) or die "Failed to open '$path': $!\n";
    print JOBFILE $job or die "Failed to write to '$path': $!\n";
    close( JOBFILE );
    last;
}

print "Created job file '$path'\n";

my $cmd = "chown $user:$group $path";
if( system( $cmd ) ) {
    warn "Failed to '$cmd'\n";
}

system( "/opt/openit/bin/openit-scheduler start" );
